|  | Home · All Classes · Modules

# QMoveEvent Class Reference
[QtGui module]

The QMoveEvent class contains event parameters for move events. More...

Inherits QEvent.

### Methods

- __init__ (self, QPoint pos, QPoint oldPos)
- __init__ (self, QMoveEvent)
- QPoint oldPos (self)
- QPoint pos (self)

## Detailed Description

The QMoveEvent class contains event parameters for move events.

Move events are sent to widgets that have been moved to a new position relative to their parent.

The event handler QWidget.moveEvent() receives move events.

## Method Documentation

### QMoveEvent.__init__ (self, QPoint pos, QPoint oldPos)

Constructs a move event with the new and old widget positions, pos and oldPos respectively.

### QMoveEvent.__init__ (self, QMoveEvent)

### QPoint QMoveEvent.oldPos (self)

Returns the old position of the widget.

### QPoint QMoveEvent.pos (self)

Returns the new position of the widget. This excludes the window frame for top level widgets.